# Gpt Image 1

## gpt-image-1-text-to-image

> OpenAI's latest image generation and editing model: gpt-1-image.

```json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"gpt-image-1"}],"servers":[{"url":"https://image.onerouter.pro","description":"Image"}],"security":[],"paths":{"/v1/images/generations":{"post":{"summary":"gpt-image-1-text-to-image","deprecated":false,"description":"OpenAI's latest image generation and editing model: gpt-1-image.","tags":["gpt-image-1"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"model is the model name"},"prompt":{"type":"string","description":"prompt  is the prompt."},"size":{"type":"string","description":"The size of the image to generate. Default value: `\"auto\"`\n\nPossible enum values: `auto`, `1024x1024`, `1536x1024`, `1024x1536`","default":"auto","enum":["auto","1024x1024","1536x1024","1024x1536"]},"quality":{"type":"string","description":"The quality of the image to generate. Default value: `\"auto\"`\n\nPossible enum values: `auto`, `low`, `medium`, `high`","enum":["auto","low","medium"," high"],"default":"auto"},"background":{"type":"string","description":"The background of the image to generate. Default value: `\"auto\"`\n\nPossible enum values: `auto`, `transparent`, `opaque`","default":"auto","enum":["auto","transparent","opaque"]},"moderation":{"type":"string","enum":["low","auto"],"default":"auto"},"n":{"type":"integer","description":"n  is the number of images to generate, default value is `1`.","default":1},"output_format":{"type":"string","description":"output_format indicate the output format, default value is `url`.","enum":["url","b64_json"],"default":"url"}},"required":["model","prompt"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"b64_json":{"type":"string"},"revised_prompt":{"type":"string"}}}},"created":{"type":"integer"}},"required":["data","created"]}}},"headers":{}}}}}}}
```
